
interface StateDimensions {
  width? : number,
  height? : number
}

interface StateOffset {
  x? : number,
  y? : number
}

interface SequenceState {
  hash : string,
  name? : string,
  progress? : number,
  current? : number,
  frames? : number,
  status? : any
}

interface SequenceStatistics {
  totalFrameLast? : number,
  totalFrameAvg? : number,
  totalFrameMargin? : number,
  fps? : number,

  loadAvg? : number,
  loadLast? : number,
  loadMargin? : number,

  openLast? : number,
  openAvg? : number,
  openMargin? : number,

  closeLast? : number,
  closeAvg? : number,
  closeMargin? : number,

  exposureLast? : number,
  exposureAvg? : number,
  exposureMargin? : number,

  elapsed? : number,
  estimate? : number
}

interface State {
  display? : StateDimensions,
  offset? : StateOffset,
  source? : StateDimensions,
  screen? : StateDimensions,
  sequence? : SequenceState,
  statistics? : SequenceStatistics,
  exposure? : number
}

interface Message {
	cmd? : string;
  state? : State;
  x? : number;
  y? : number;
  width? : number;
  height? : number;
  scale? : number;
}

declare function humanizeDuration(a : any, b : any) : string;