declare let client: Client;
declare enum SequenceStatus {
    IDLE = 0,
    RUNNING = 1,
    PAUSED = 2
}
declare class Display {
    private parentElement;
    private canvas;
    private ctx;
    private img;
    private screen;
    private sequence;
    private focus;
    private framing;
    private offsetX;
    private offsetY;
    private width;
    private height;
    private canvasScale;
    private canvasWidth;
    private canvasHeight;
    private canvasOffsetX;
    private canvasOffsetY;
    private screenWidth;
    private screenHeight;
    private screenOffsetX;
    private screenOffsetY;
    private displayWidth;
    private displayHeight;
    private displayOffsetX;
    private displayOffsetY;
    constructor();
    private create;
    private updateSize;
    clear(): void;
    updateScreen(): void;
    updateDisplay(): void;
    updateImage(): void;
    update(msg: Message): void;
    set(state: State): void;
    setFocus(): void;
    unsetFocus(): void;
    setFraming(): void;
    unsetFraming(): void;
    private onResize;
}
declare class Client {
    private display;
    private client;
    private connected;
    private progress;
    private progressText;
    private frames;
    constructor();
    private getWebsocketUri;
    private onMessage;
    private onOpen;
    private onClose;
    private setSequence;
    private setUpdate;
    private setStatus;
    private setProgress;
    private setFrame;
    private setExposure;
    private setDisplay;
    edited(el: HTMLElement): void;
    private setStatistics;
    private cmd;
    disableClass(className: string): void;
    enableClass(className: string): void;
    sendCameraOpen(): void;
    private receivePing;
    private receiveCameraOpen;
    sendCameraClose(): void;
    private receiveCameraClose;
    private sendPong;
    sendAdvance(): void;
    sendRewind(): void;
    sendFrameSet(): void;
    sendToEnd(): void;
    sendToStart(): void;
    sendSelect(): void;
    private receiveSelect;
    sendStart(): void;
    sendStop(): void;
    sendExposure(): void;
    private receiveUpdate;
    private receiveDisplay;
    sendFocus(): void;
    private receiveFocus;
    private receiveUnfocus;
    sendFraming(): void;
    private receiveFraming;
    private receiveUnframing;
    sendOffset(x: number, y: number): void;
    sendSize(width: number, height: number): void;
    sendScale(scale: number): void;
    fullscreen(): void;
    exitFullscreen(): void;
    private active;
    private inactive;
    addClass(id: string, className: string): void;
    removeClass(id: string, className: string): void;
    set(id: string, value: string): void;
    get(id: string): string;
    private resetForm;
    private shortenHumanize;
    private roundDigits;
}
